GET
/event/202309/webhooks
Retrieves the enabled webhooks configured for the shop and their corresponding webhook URLs.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
webhooks
The list of enabled webhooks configured for the shop.
Array<object>
object
event_type
The topic of the webhook event. Possible values:
ORDER_STATUS_CHANGE: Triggers on each order status update, from new order placement through all subsequent status changes. See Order Status change.RECIPIENT_ADDRESS_UPDATE: Triggers when the recipient’s address is updated. See Receipient address update.PACKAGE_UPDATE: Triggers when a package is updated (e.g., combined, split, or address changed). See Package update.PRODUCT_STATUS_CHANGE: Triggers when product audit results are updated. See Product status change.SELLER_DEAUTHORIZATION: Triggers when a seller is deauthorized to inform developers and avoid misunderstandings about platform authorization issues. See Seller deauthorization.UPCOMING_AUTHORIZATION_EXPIRATION: Triggers 30 days before authorization expiration, with daily notifications at 0:00 until re-authorization is completed. See Upcoming authorization expiration.CANCELLATION_STATUS_CHANGE: Triggers when an order’s cancellation status changes. See Cancellation status change.RETURN_STATUS_CHANGE: Triggers when an order’s return status changes. See Return status change.NEW_CONVERSATION: Triggers when a customer service agent joins or leaves a conversation. See New conversation.NEW_MESSAGE: Triggers when a new message is sent in a customer service conversation. See New Message.PRODUCT_INFORMATION_CHANGE: Triggers when changes to a product’s title, description, main images, or attributes go live. See Product information change.PRODUCT_CREATION: Triggers when a new product is created. See Product creation.PRODUCT_CATEGORY_CHANGE: Triggers when the category of a product is changed. See Product category change.NEW_MESSAGE_LISTENER: Triggers when a creator sends a message to the seller. See New message listener.INVOICE_STATUS_CHANGE: Triggers when the status of an invoice upload changes after using the POST Upload Invoice endpoint. See Invoice Status Change.PRODUCT_AUDIT_STATUS_CHANGE: Triggers when the product audit status changes. See Product audit status change.REVERSE_STATUS_UPDATE: Triggers when buyer raises cancellation, refund only, or return & refund requests that need the seller to accept or reject. See Reverse Status Update.
string
address
The webhook URL used to receive the event data.
string
create_time
The time when the webhook was created, represented as a Unix timestamp in milliseconds.
integer format: int64
update_time
The time when the webhook was last updated, represented as a Unix timestamp in milliseconds.
integer format: int64
total_count
The total number of webhooks returned.
integer format: int64
Example
{ "code": 0, "data": { "webhooks": [ { "event_type": "ORDER_STATUS_CHANGE", "address": "https://partner.tiktokshop.com", "create_time": 1635338186000, "update_time": 1635338186000 } ], "total_count": 1 }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}